Ruby: Data Fields

Ruby 3.4.6p54 (2025-09-16 revision dbd83256b1cec76c69756ecb8758b9e1079833de)

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- param : rb_iseq_constant_body
- parameters : pm_block_node, pm_block_parameters_node, pm_def_node, pm_lambda_node, pm_scope
- parent : pm_constant_path_node, pm_constant_path_target_node, rb_data_type_struct
- parsed : pm_parse_result_t
- parser : parse_regular_expression_error_data_t, parse_regular_expression_named_capture_data_t, pm_parse_result_t, pm_regexp_parser_t
- parsing_eval : pm_parser
- partial_script : pm_options, pm_parser
- parts : pm_interpolated_match_last_line_node, pm_interpolated_regular_expression_node, pm_interpolated_string_node, pm_interpolated_symbol_node, pm_interpolated_x_string_node
- pathv : rb_io
- pattern : pm_in_node, pm_match_predicate_node, pm_match_required_node
- pattern_matching_newlines : pm_parser
- pid : rb_io
- pm_buffer_free() : pm_buffer_t
- pm_buffer_init() : pm_buffer_t
- pm_buffer_length() : pm_buffer_t
- pm_buffer_value() : pm_buffer_t
- pm_integer_free() : pm_integer_t
- pm_integer_string() : pm_integer_t
- PM_LEX_DEFAULT : pm_lex_mode
- PM_LEX_EMBEXPR : pm_lex_mode
- PM_LEX_EMBVAR : pm_lex_mode
- PM_LEX_HEREDOC : pm_lex_mode
- PM_LEX_LIST : pm_lex_mode
- PM_LEX_REGEXP : pm_lex_mode
- PM_LEX_STRING : pm_lex_mode
- pm_list_empty_p() : pm_list_t
- pm_list_free() : pm_list_t
- pm_list_size() : pm_list_t
- pm_options_command_line_set() : pm_options
- pm_options_encoding_locked_set() : pm_options
- pm_options_encoding_set() : pm_options
- pm_options_filepath_set() : pm_options
- pm_options_free() : pm_options
- pm_options_freeze_set() : pm_options
- pm_options_frozen_string_literal_set() : pm_options
- pm_options_line_set() : pm_options
- pm_options_main_script_set() : pm_options
- pm_options_partial_script_set() : pm_options
- pm_options_scope_forwarding_set() : pm_options
- pm_options_scope_get() : pm_options
- pm_options_scope_init() : pm_options
- pm_options_scope_local_get() : pm_options
- pm_options_scopes_init() : pm_options
- pm_options_shebang_callback_set() : pm_options
- pm_options_version_set() : pm_options
- pm_parse() : pm_parser
- pm_parse_stream() : pm_parser
- pm_parser_free() : pm_parser
- pm_parser_init() : pm_parser
- pm_parser_register_encoding_changed_callback() : pm_parser
- PM_STRING_CONSTANT : pm_string_t
- pm_string_file_init() : pm_string_t
- pm_string_free() : pm_string_t
- pm_string_length() : pm_string_t
- pm_string_mapped_init() : pm_string_t
- PM_STRING_OWNED : pm_string_t
- PM_STRING_SHARED : pm_string_t
- pm_string_source() : pm_string_t
- posts : pm_array_pattern_node, pm_parameters_node
- pre_execution_anchor : pm_scope_node
- predicate : pm_case_match_node, pm_case_node, pm_if_node, pm_unless_node, pm_until_node, pm_while_node
- prev : pm_context_node, pm_lex_mode
- previous : pm_parser, pm_scope
- private_data : rb_memory_view_t
- ptr : RArray, rb_io_internal_buffer, RRegexp, RString